package com.iden.common.cache;

import cn.hutool.core.collection.CollUtil;
import com.iden.common.vo.SysDictItemVO;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class DictCache {
    private static Map<String, List<SysDictItemVO>> listSysDictItemVOMap = new HashMap<>();

    public static Map<String, List<SysDictItemVO>> getListSysDictItemVOMap() {
        return listSysDictItemVOMap;
    }

    public static void setListSysDictItemVOMap(Map<String, List<SysDictItemVO>> listSysDictItemVOMap) {
        DictCache.listSysDictItemVOMap = listSysDictItemVOMap;
    }

    public static String getNameByValue(String dictType,String value){
        List<SysDictItemVO> listSysDictItemVO = listSysDictItemVOMap.get(dictType);
        if(CollUtil.isEmpty(listSysDictItemVO)){
            return null;
        }
        for(SysDictItemVO vo : listSysDictItemVO){
            if(value.equals(vo.getValue())){
                return vo.getName();
            }
        }
      return null;
    }

    public static String getValueByName(String dictType,String name){
        List<SysDictItemVO> listSysDictItemVO = listSysDictItemVOMap.get(dictType);
        if(CollUtil.isEmpty(listSysDictItemVO)){
            return null;
        }
        for(SysDictItemVO vo : listSysDictItemVO){
            if(name.equals(vo.getName())){
                return vo.getValue();
            }
        }
        return null;
    }
}
